Skip to main content

Static Addresses

Static deposit addresses are permanent addresses strictly assigned to a specific user by internal_user_id and/or email. All deposits made to a static address trigger webhooks (see Webhooks → Static Address Deposit Webhooks).

Create Static Address

This endpoint creates a new static deposit address strictly assigned to a user by internal_user_id AND/OR email.

POST /api/addresses/v1/static-deposits

Headers

HeaderValue
AuthorizationBearer YOUR_PUBLIC_TOKEN
Content-Typeapplication/json

Request Body

FieldTypeRequiredDescription
internal_user_idstringYesA unique user ID to which the address will be assigned. If a request is made with an existing ID, the corresponding user and their deposit address will be returned
emailstringNoA unique user's email address. If a request is made with an existing email, the corresponding user and their deposit address will be returned independently of internal_user_id provided
assetstringYesThe asset for which the address will be created. Values: usdt, usdc, btc, eth, sol, ton, bnb, ltc, trx, bch
networkstringYesThe network for which the address will be created. Should correspond to the asset parameter value (see mapping below)

Asset + Network Mapping

AssetNetwork values
btc, eth, sol, ton, bnb, ltc, trx, bchsame as asset (e.g., btcbtc)
usdttrc20usdt, usdterc20, solusdt, bep20usdt
usdcusdc, solusdc, bep20usdc

cURL

curl --location 'https://my.paidlys.com/api/addresses/v1/static-deposits' \
--header 'Authorization: Bearer YOUR_PUBLIC_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '<body>'

Body:

{
"internal_user_id": "user1",
"email": "user1@service.domain",
"asset": "usdt",
"network": "trc20usdt"
}

Response

{
"id": "1f1380ea-e3c4-6960-99ae-7c37e1116bd7",
"internal_user_id": "user06",
"address": "TG2QjmRbdDVKNL2dE8Esyg1K2vFbNdw565",
"asset": "usdt",
"network": "trc20usdt",
"email": null
}

Response Fields

FieldDescription
idAddress identifier
internal_user_idUnique internal user ID provided within the address-creation request
addressStatic deposit address value for the provided user ID and/or email, asset, and network
assetAddress asset name
networkAddress network name
emailUser's email address. null if not provided within the request
tagAddress tag for TON-asset addresses. Won't be returned for any other asset

Get Static Address

This endpoint retrieves an already existing static deposit address.

GET /api/addresses/v1/static-deposits?network={network_name}&{secondary_filter}={filter_value}

Headers

HeaderValue
AuthorizationBearer YOUR_PUBLIC_TOKEN
Content-Typeapplication/json

Query Parameters

To receive the address info, apply the following filtering options in the request URL with & separator:

  • network (required) — the network name
  • Plus one of the secondary filters:
    • id — address id
    • internal_user_id — user's internal ID
    • email + asset — user's email combined with asset

cURL

curl --location 'https://my.paidlys.com/api/addresses/v1/static-deposits?network=trc20usdt&internal_user_id=user1' \
--header 'Authorization: Bearer YOUR_PUBLIC_TOKEN' \
--header 'Content-Type: application/json'

Response

Same structure as the Create Static Address response:

{
"id": "1f1380ea-e3c4-6960-99ae-7c37e1116bd7",
"internal_user_id": "user06",
"address": "TG2QjmRbdDVKNL2dE8Esyg1K2vFbNdw565",
"asset": "usdt",
"network": "trc20usdt",
"email": null
}